# roles/mailserver/handlers/main.yml
---
- name: Restart postfix service
  service:
    name: "{{ __glxclans_mailserver_mta_service }}"
    enabled: yes
    state: restarted

- name: Restart dovecot service
  service:
    name: "{{ __glxclans_mailserver_imap_service }}"
    enabled: yes
    state: restarted

- name: Restart opendkim service
  service:
    name: "opendkim"
    enabled: yes
    state: restarted

- name: Restart opendmarc service
  service:
    name: "opendmarc"
    enabled: yes
    state: restarted

- name: Restart spamassassin service
  service:
    name: "spamassassin"
    enabled: yes
    state: restarted

- name: Reload local facts
  ansible.builtin.setup:
    filter: ansible_local
